Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorSite.ConstructorSiteNoUnwrap

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.ConstructorSite
                  org.codehaus.groovy.runtime.callsite.ConstructorSite.ConstructorSiteNoUnwrap

    public static class ConstructorSite.ConstructorSiteNoUnwrap
    extends ConstructorSite

Call site where we know there is no need to unwrap arguments

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`ConstructorSite.ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class ConstructorSite
callConstructor, checkCall, createConstructorSite

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConstructorSite.ConstructorSiteNoUnwrap

    public ConstructorSite.ConstructorSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)

Method Detail

### callConstructor

    public final java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation